
//C style input output
#include <stdio.h>

//library for input and output
#include <iostream>

//header to be included if you want to use vectors
#include <vector>

//include for strings
#include <string>

#include "MyRobot.h"


void printStringVector(std::vector<std::string> input){
	std::cout << "[";
	for (int i = 0; i < input.size(); i++){
		std::cout << input.at(i);
		if (i < input.size() -1)
			std::cout << ",";
		else std::cout << "]\n";
	}
}

void myfunction(int &x, int &y, int &z){
	x= 32423423;
}

int main(){	
	
	//1. example vector of integers
	std::vector<int> int_vector;
	int a = 10;
	while (a > 0){
		int_vector.push_back(a);
		a --;
	}

	
	//2. example vector of strings
	std::vector<std::string> names;
	names.resize(3);
	
	names[0]= "alice";
	names[1] ="bob";
	names[2] = "john";
	printStringVector(names);
	

	
	names.resize(2);
	printStringVector(names);
	
	std::cout << names.size() << "\n";
	
	
	//example -- insert an element at position 1
	std::vector<std::string>::iterator it = names.begin();
	
	//advance the iterator by 1 slot
	it++;
	
	//now insert something at the position of the iterator
	it = names.insert ( it , "anna");
	
	//now print the vector
	printStringVector(names);
}



















